#ifndef __DMA_H__
#define __DMA_H__

typedef struct _stTransferDescriptor
{
    u32 NXTDESC_PNTR;
    u32 RESERVED1;
    u32 BUFFER_ADDR;
    u32 RESERVED2;
    u32 RESERVED3;
    u32 RESERVED4;
    u32 CONTROL;
    u32 STATUS;
    u32 APP0;
    u32 APP1;
    u32 APP2;
    u32 APP3;
    u32 APP4;
}stTransferDescriptor;

void 	DMA_TransferData(stTransferDescriptor* pCurrentDescriptor, stTransferDescriptor* pTailDescriptor);
u32 	DMA_IsTransferComplete(void);

#endif //__DMA_H__
